Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate
Class HibernateFilter

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.HibernateFilter

All Implemented Interfaces:
  Filter

    public class HibernateFilter

extends java.lang.Object
implements Filter

Version:
  $Id: HibernateFilter.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`org.hibernate.criterion.Junction` | `junction`

Constructor Summary
`HibernateFilter(org.hibernate.criterion.Junction junction, ReferenceResolver referenceResolver)`

Method Summary
`protected void` | `add(org.hibernate.criterion.Criterion newCriterion)`
`void` | `applyConjunction(java.util.List filterElements)`
`void` | `applyDisjunction(java.util.List filterElements)`
`protected void` | `applyJunction(java.util.List filterElements, org.hibernate.criterion.Junction subJunction)`
`void` | `applyNegatedFilter(FilterElement element)`
`void` | `applyOr(FilterElement lhs, FilterElement rhs)`
`void` | `applyParentFolderFilter(ParentFolderFilter filter)`
`void` | `applyPropertyFilter(PropertyFilter filter)`
`void` | `applyReferenceFilter(ReferenceFilter filter)`
`void` | `applyURIFilter(URIFilter filter)`
`protected org.hibernate.criterion.Criterion` | `last()`
`protected org.hibernate.criterion.SimpleExpression` | `parentFolderRestriction(java.lang.String folderURI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### junction

    public final org.hibernate.criterion.Junction junction

Constructor Detail

### HibernateFilter

    public HibernateFilter(org.hibernate.criterion.Junction junction,
                           ReferenceResolver referenceResolver)

Method Detail

### last

    protected final org.hibernate.criterion.Criterion last()

### add

    protected void add(org.hibernate.criterion.Criterion newCriterion)

### applyParentFolderFilter

    public void applyParentFolderFilter(ParentFolderFilter filter)

  Specified by:
    `applyParentFolderFilter` in interface `Filter`

### parentFolderRestriction

    protected org.hibernate.criterion.SimpleExpression parentFolderRestriction(java.lang.String folderURI)

### applyPropertyFilter

    public void applyPropertyFilter(PropertyFilter filter)

  Specified by:
    `applyPropertyFilter` in interface `Filter`

### applyNegatedFilter

    public void applyNegatedFilter(FilterElement element)

  Specified by:
    `applyNegatedFilter` in interface `Filter`

### applyConjunction

    public void applyConjunction(java.util.List filterElements)

  Specified by:
    `applyConjunction` in interface `Filter`

### applyDisjunction

    public void applyDisjunction(java.util.List filterElements)

  Specified by:
    `applyDisjunction` in interface `Filter`

### applyOr

    public void applyOr(FilterElement lhs,
                        FilterElement rhs)

  Specified by:
    `applyOr` in interface `Filter`

### applyJunction

    protected void applyJunction(java.util.List filterElements,
                                 org.hibernate.criterion.Junction subJunction)

### applyReferenceFilter

    public void applyReferenceFilter(ReferenceFilter filter)

  Specified by:
    `applyReferenceFilter` in interface `Filter`

### applyURIFilter

    public void applyURIFilter(URIFilter filter)

  Specified by:
    `applyURIFilter` in interface `Filter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.